Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000749Documentation, Examples, and Web SiteWriting with Informpublic2011-09-15 05:202014-05-07 07:38
ReporterFelix Larsson 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000749: Documentation doesn't state that clarifying the parser's choice activity only runs for certain actions
DescriptionThe clarifying the parser's choice of something activity only happens when the parser has disambiguated a command for an action applying to one thing (or to a topic and a thing). It does not happen after disambiguating a command for an action applying to two things, to a thing and a topic, or (I think) to any other combination of things and values. But this is not clear from the text in ch.17.28 and it is not clear from default output either.
Minimal Source Text To Reproduce
The Lab is a room.

A foo bar is in the Lab. A foo quux is in the Lab. 

Does the player mean doing something to the foo bar: it is very likely.
For clarifying the parser's choice of something: say "KABOOM!".

Test me with "take foo / tie foo to foo".
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001415)
graham (administrator)
2011-10-18 13:51

I've clarified the restriction in the documentation.

- Issue History
Date Modified Username Field Change
2011-09-15 05:20 Felix Larsson New Issue
2011-09-16 08:16 Ron Newcomb Note Added: 0001272
2011-09-16 08:17 Ron Newcomb Note Deleted: 0001272
2011-09-19 15:09 EmacsUser Status new => confirmed
2011-10-18 13:51 graham Note Added: 0001415
2011-10-18 13:51 graham Status confirmed => resolved
2011-10-18 13:51 graham Resolution open => fixed
2011-10-18 13:51 graham Assigned To => graham
2014-05-07 07:37 jmcgrew Fixed in Version => 6L02
2014-05-07 07:38 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker